# PYTHON


# Byte-compiled / optimized / DLL files
__pycache__/
*.py[cod]
*$py.class

# C extensions
*.so

# Distribution / packaging
.Python
build/
develop-eggs/
dist/
downloads/
eggs/
.eggs/
lib/
lib64/
parts/
sdist/
var/
wheels/
share/python-wheels/
*.egg-info/
.installed.cfg
*.egg
MANIFEST

# PyInstaller
#  Usually these files are written by a python script from a template
#  before PyInstaller builds the exe, so as to inject date/other infos into it.
*.manifest
*.spec

# Installer logs
pip-log.txt
pip-delete-this-directory.txt

# Unit test / coverage reports
htmlcov/
.tox/
.nox/
.coverage
.coverage.*
.cache
nosetests.xml
coverage.xml
*.cover
*.py,cover
.hypothesis/
.pytest_cache/
cover/

# Translations
*.mo
*.pot

# Django stuff:
*.log
local_settings.py
db.sqlite3
db.sqlite3-journal

# Flask stuff:
instance/
.webassets-cache

# Scrapy stuff:
.scrapy

# Sphinx documentation
docs/_build/

# PyBuilder
.pybuilder/
target/

# Jupyter Notebook
.ipynb_checkpoints

# IPython
profile_default/
ipython_config.py

# pyenv
#   For a library or package, you might want to ignore these files since the code is
#   intended to run in multiple environments; otherwise, check them in:
# .python-version

# pipenv
#   According to pypa/pipenv#598, it is recommended to include Pipfile.lock in version control.
#   However, in case of collaboration, if having platform-specific dependencies or dependencies
#   having no cross-platform support, pipenv may install dependencies that don't work, or not
#   install all needed dependencies.
#Pipfile.lock

# PEP 582; used by e.g. github.com/David-OConnor/pyflow
__pypackages__/

# Celery stuff
celerybeat-schedule
celerybeat.pid

# SageMath parsed files
*.sage.py

# Environments
.env
.venv
env/
venv/
ENV/
env.bak/
venv.bak/

# Spyder project settings
.spyderproject
.spyproject

# Rope project settings
.ropeproject

# mkdocs documentation
/site

# mypy
.mypy_cache/
.dmypy.json
dmypy.json

# Pyre type checker
.pyre/

# pytype static type analyzer
.pytype/

# Cython debug symbols
cython_debug/

.idea/
.vscode/

# DOCKER VOLUMES
storage/postgres
storage/redis


# FOR MEDIA FILE RULES (jpg, png, etc)
django_app/media/*


react_app/logs
react_app/*.log
react_app/npm-debug.log*
react_app/yarn-debug.log*
react_app/yarn-error.log*

# Runtime data
react_app/pids
react_app/*.pid
react_app/*.seed
react_app/*.pid.lock

# Directory for instrumented libs generated by jscoverage/JSCover
react_app/lib-cov

# Coverage directory used by tools like istanbul
react_app/coverage

# nyc test coverage
react_app/.nyc_output

# Grunt intermediate storage (http://gruntjs.com/creating-plugins#storing-task-files)
react_app/.grunt

# Bower dependency directory (https://bower.io/)
react_app/bower_components

# node-waf configuration
react_app/.lock-wscript

# Compiled binary addons (http://nodejs.org/api/addons.html)
react_app/build/Release

# Dependency directories
react_app/node_modules/
react_app/jspm_packages/

# Distribution directories
react_app/dist/


# Optional npm cache directory
react_app/.npm

# Optional eslint cache
react_app/.eslintcache

# Optional REPL history
react_app/.node_repl_history

# Output of 'npm pack'
react_app/*.tgz

# Yarn Integrity file
react_app/.yarn-integrity

# dotenv environment variables file
react_app/.env

